//------------------------------------------------------------------------------
// <auto-generated>
//    Ce code a été généré à partir d'un modèle.
//
//    Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//    Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PROJETMODELE.Models.DAL
{
    using System;
    using System.Collections.Generic;
    
    public partial class TP_Emballage
    {
        public TP_Emballage()
        {
            this.TP_Commande_Emballage = new HashSet<TP_Commande_Emballage>();
            this.TP_Commande_Emballage_Temp = new HashSet<TP_Commande_Emballage_Temp>();
            this.TP_Produit = new HashSet<TP_Produit>();
            this.TP_Produit1 = new HashSet<TP_Produit>();
            this.TP_Produit2 = new HashSet<TP_Produit>();
            this.TP_Retour_Emballage_Detail = new HashSet<TP_Retour_Emballage_Detail>();
            this.TP_Retour_Emballage_Temp = new HashSet<TP_Retour_Emballage_Temp>();
            this.TP_Vente_Emballage_Temp = new HashSet<TP_Vente_Emballage_Temp>();
            this.TP_Vente_Emballage = new HashSet<TP_Vente_Emballage>();
        }
    
        public int ID_Emballage { get; set; }
        public string Code { get; set; }
        public string Description { get; set; }
        public int Conditionnement { get; set; }
        public double PU_Plastique { get; set; }
        public double PU_Bouteille { get; set; }
        public System.DateTime Create_Date { get; set; }
        public System.DateTime Edit_Date { get; set; }
        public int Create_Code_User { get; set; }
        public int Edit_Code_User { get; set; }
        public bool Actif { get; set; }
    
        public virtual ICollection<TP_Commande_Emballage> TP_Commande_Emballage { get; set; }
        public virtual ICollection<TP_Commande_Emballage_Temp> TP_Commande_Emballage_Temp { get; set; }
        public virtual ICollection<TP_Produit> TP_Produit { get; set; }
        public virtual ICollection<TP_Produit> TP_Produit1 { get; set; }
        public virtual ICollection<TP_Produit> TP_Produit2 { get; set; }
        public virtual ICollection<TP_Retour_Emballage_Detail> TP_Retour_Emballage_Detail { get; set; }
        public virtual ICollection<TP_Retour_Emballage_Temp> TP_Retour_Emballage_Temp { get; set; }
        public virtual ICollection<TP_Vente_Emballage_Temp> TP_Vente_Emballage_Temp { get; set; }
        public virtual ICollection<TP_Vente_Emballage> TP_Vente_Emballage { get; set; }
    }
}
